Debian Bug report logs - #431883
dcraw license does not give permission to distribute modified versions or source alongside

version graph

Package: dcraw; Maintainer for dcraw is Steve King <debian@invux.com>; Source for dcraw is src:dcraw.

Reported by: Don Armstrong <don@debian.org>

Date: Thu, 5 Jul 2007 17:57:01 UTC

Severity: serious

Found in version dcraw/7.02-1

Fixed in version dcraw/8.80-1

Done: Steve King <debian@invux.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-legal@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
New Bug report received and forwarded. Copy sent to debian-legal@lists.debian.org, Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: submit@bugs.debian.org
Subject: dcraw license does not give permission to distribute modified versions or source alongside
Date: Thu, 5 Jul 2007 10:54:37 -0700
Package: dcraw
Version: 7.02-1
Severity: serious

On Thu, 05 Jul 2007, Steve King wrote:
> However I would appreciate it if the assembled masses of legal
> experts could confirm that they agree that this is the case.

There's actually an even more fundamental problem with dcraw.c:

/*
   dcraw.c -- Dave Coffin's raw photo decoder
   Copyright 1997-2007 by Dave Coffin, dcoffin a cybercom o net

   This is a command-line ANSI C program to convert raw photos from
   any digital camera on any computer running any operating system.

   No license is required to download and use dcraw.c.  However,
   to lawfully redistribute this code, you must either (a) include
   full source code* for all executable files containing RESTRICTED
   functions, (b) remove all RESTRICTED functions, re-implement them,
   or copy them from an earlier, unrestricted Revision of dcraw.c,
   or (c) purchase a license from the author.

   The functions that process Foveon images have been RESTRICTED
   since Revision 1.237.  All other code remains free for all uses.

   *If you have not modified dcraw.c in any way, a link to my
   homepage qualifies as "full source code".

   $Revision: 1.387 $
   $Date: 2007/06/24 00:18:52 $
 */


You'll notice that we have no permission to distribute modified
versions of dcraw.c as required by the DFSG. Secondly, it appears that
we must include full source code if we've modified dcraw.c, but we
don't do that. We distribute source alongside.

If you could get Dave Coffin to explicitely dual license under the
GPL, that'd clarify this entire problem. [He seems to want a copyleft,
which the GPL would grant.]

Text like:

Alternately, you can redistribute and/or modify this work under the
terms of the GNU General Public License as published by the Free
Software Foundation, either version 2 of the License, or (at your
option) any later version.

would do the trick.


Don Armstrong

-- 
If everything seems to be going well, you have obviously overlooked
something.
 -- Steven Wright

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to Steve King <debian@invux.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 431883@bugs.debian.org (full text, mbox):

From: Steve King <debian@invux.com>
To: Don Armstrong <don@debian.org>, 431883@bugs.debian.org
Subject: Re: Bug#431883: dcraw license does not give permission to distribute modified versions or source alongside
Date: Thu, 05 Jul 2007 20:09:18 +0100
Hi Don,

The license against which you have raised a bug is not the one that 
covers the version that is currently part of debian. The appropriate 
license is here:

http://packages.debian.org/changelogs/pool/main/d/dcraw/dcraw_8.39-1/dcraw.copyright

You should also probably consider the text on the web page where the 
source is available http://cybercom.net/~dcoffin/dcraw/ :
"[dcraw is] free (both "gratis" and "libre")..."
and
"Unless otherwise noted in the source code, these programs are free for 
all uses..."

If you could advise on any issues with that version, it would be 
appreciated.

My query on debian-legal was with respect to the current license text, 
rather than the historical license that applies to the version in debian.

However I will raise your comments with Mr Coffin.

Thanks for your help.

--
Steve King

Don Armstrong wrote:
> Package: dcraw
> Version: 7.02-1
> Severity: serious
> 
> On Thu, 05 Jul 2007, Steve King wrote:
>> However I would appreciate it if the assembled masses of legal
>> experts could confirm that they agree that this is the case.
> 
> There's actually an even more fundamental problem with dcraw.c:
> 
> /*
>    dcraw.c -- Dave Coffin's raw photo decoder
>    Copyright 1997-2007 by Dave Coffin, dcoffin a cybercom o net
> 
>    This is a command-line ANSI C program to convert raw photos from
>    any digital camera on any computer running any operating system.
> 
>    No license is required to download and use dcraw.c.  However,
>    to lawfully redistribute this code, you must either (a) include
>    full source code* for all executable files containing RESTRICTED
>    functions, (b) remove all RESTRICTED functions, re-implement them,
>    or copy them from an earlier, unrestricted Revision of dcraw.c,
>    or (c) purchase a license from the author.
> 
>    The functions that process Foveon images have been RESTRICTED
>    since Revision 1.237.  All other code remains free for all uses.
> 
>    *If you have not modified dcraw.c in any way, a link to my
>    homepage qualifies as "full source code".
> 
>    $Revision: 1.387 $
>    $Date: 2007/06/24 00:18:52 $
>  */
> 
> 
> You'll notice that we have no permission to distribute modified
> versions of dcraw.c as required by the DFSG. Secondly, it appears that
> we must include full source code if we've modified dcraw.c, but we
> don't do that. We distribute source alongside.
> 
> If you could get Dave Coffin to explicitely dual license under the
> GPL, that'd clarify this entire problem. [He seems to want a copyleft,
> which the GPL would grant.]
> 
> Text like:
> 
> Alternately, you can redistribute and/or modify this work under the
> terms of the GNU General Public License as published by the Free
> Software Foundation, either version 2 of the License, or (at your
> option) any later version.
> 
> would do the trick.
> 
> 
> Don Armstrong
> 




Information forwarded to debian-bugs-dist@lists.debian.org, debian-legal@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-legal@lists.debian.org, Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #15 received at 431883@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 431883@bugs.debian.org
Subject: Re: Bug#431883: dcraw license does not give permission to distribute modified versions or source alongside
Date: Thu, 5 Jul 2007 12:36:37 -0700
On Thu, 05 Jul 2007, Steve King wrote:
> The license against which you have raised a bug is not the one that covers 
> the version that is currently part of debian. The appropriate license is 
> here:

Right, but the issues present in the current version of the license
are also present in the versions which we are distributing.

> http://packages.debian.org/changelogs/pool/main/d/dcraw/dcraw_8.39-1/dcraw.copyright
>
> You should also probably consider the text on the web page where the source 
> is available http://cybercom.net/~dcoffin/dcraw/ :
> "[dcraw is] free (both "gratis" and "libre")..."
> and
> "Unless otherwise noted in the source code, these programs are free for all 
          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> uses..."

The underlined section is the important point. I'm almost certain that
Dave Coffin intends for the software to be free, but the dissonance
between the copyright statement in ddraw.c and the DFSG has to be
resolved.

[It's also not clear whether free applies to the ability to modify or
whether it merely means that you don't have to pay; licencing under
the GPL or MIT/Expat would resolve these questions as far as I'm
concerned.]

> My query on debian-legal was with respect to the current license text, 
> rather than the historical license that applies to the version in debian.

Yes; both issues came up in the context of re-examining the entire
license, though. I've only prsented the entire new license in the bug
report, since that was what the original question was about.

In any event, let me know if you need any assistance or clarification
in your communication with Dave.


Don Armstrong

-- 
Filing a bug is probably not going to get it fixed any faster.
 -- Anthony Towns

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to "Steve King" <debian@invux.com>:
Extra info received and forwarded to list. Copy sent to Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: "Steve King" <debian@invux.com>
To: submit@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: Re: Bug#431883: dcraw license does not give permission to distribute modified versions or source alongside
Date: Fri, 6 Jul 2007 11:07:57 +0100 (BST)
> Package: dcraw
> Version: 7.02-1
> Severity: serious
>
> On Thu, 05 Jul 2007, Steve King wrote:
>> However I would appreciate it if the assembled masses of legal
>> experts could confirm that they agree that this is the case.
>
> There's actually an even more fundamental problem with dcraw.c:
>
> /*
>    dcraw.c -- Dave Coffin's raw photo decoder
>    Copyright 1997-2007 by Dave Coffin, dcoffin a cybercom o net
>
>    This is a command-line ANSI C program to convert raw photos from
>    any digital camera on any computer running any operating system.
>
>    No license is required to download and use dcraw.c.  However,
>    to lawfully redistribute this code, you must either (a) include
>    full source code* for all executable files containing RESTRICTED
>    functions, (b) remove all RESTRICTED functions, re-implement them,
>    or copy them from an earlier, unrestricted Revision of dcraw.c,
>    or (c) purchase a license from the author.
>
>    The functions that process Foveon images have been RESTRICTED
>    since Revision 1.237.  All other code remains free for all uses.
>
>    *If you have not modified dcraw.c in any way, a link to my
>    homepage qualifies as "full source code".
>
>    $Revision: 1.387 $
>    $Date: 2007/06/24 00:18:52 $
>  */
>
>
> You'll notice that we have no permission to distribute modified
> versions of dcraw.c as required by the DFSG.

I don't agree with you here. It seems to me that we do have permission to
distribute modified versions, provided source is included.


>                                              Secondly, it appears that
> we must include full source code if we've modified dcraw.c, but we
> don't do that. We distribute source alongside.
>

All that is required in this license is a link to David's home page.
The build process does not modify the file dcraw.c, so the footnote clause
is applicable to this version of dcraw that would be included in debian.

--
Steve King




Information forwarded to debian-bugs-dist@lists.debian.org, debian-legal@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-legal@lists.debian.org, Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #25 received at 431883@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 431883@bugs.debian.org
Subject: Re: Bug#431883: dcraw license does not give permission to distribute modified versions or source alongside
Date: Fri, 6 Jul 2007 03:45:29 -0700
On Fri, 06 Jul 2007, Steve King wrote:
> > You'll notice that we have no permission to distribute modified
> > versions of dcraw.c as required by the DFSG.
> 
> I don't agree with you here. It seems to me that we do have
> permission to distribute modified versions, provided source is
> included.

The license does not explicitely grant the ability to create a
derivative work and distribute that work. It merely talks about
"lawfully redistributing this code".

Since it fails to specifically grant that right, we must assume that
the default state ("All rights reserved") applies.

> > Secondly, it appears that we must include full source code if
> > we've modified dcraw.c, but we don't do that. We distribute source
> > alongside.
> 
> All that is required in this license is a link to David's home page.
> The build process does not modify the file dcraw.c, so the footnote
> clause is applicable to this version of dcraw that would be included
> in debian.

dcraw.c itself isn't currently modfied, but the package does form a
derivative work at some level. You can likely argue either way, but
given that a need to apply a security patch to dcraw would cause us to
run afoul of the license makes it rather problematic from where I'm
sitting.

If the intent is to create a patch only clause, see the LPPL for an
example of a patch clause which is permissible.

In any case, please contact the upstream author and have him clarify
the license situtation.

An explicit licencing under the GPL would resolve all of this for us;
Dave Coffin would still be free to offer it under additional terms if
he so desired.

If you need help drafting the message, let me know.


Don Armstrong

-- 
An elephant: A mouse built to government specifications.
 -- Robert Heinlein _Time Enough For Love_ p244

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #30 received at 431883@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 431883@bugs.debian.org
Cc: Debian-legal <debian-legal@lists.debian.org>
Subject: Re: Bug#431883: dcraw license does not give permission to distribute modified versions or source alongside
Date: Fri, 6 Jul 2007 19:42:22 +0200
[Message part 1 (text/plain, inline)]
On Fri, 6 Jul 2007 03:45:29 -0700 Don Armstrong wrote:

> On Fri, 06 Jul 2007, Steve King wrote:
> > > You'll notice that we have no permission to distribute modified
> > > versions of dcraw.c as required by the DFSG.
> > 
> > I don't agree with you here. It seems to me that we do have
> > permission to distribute modified versions, provided source is
> > included.
> 
> The license does not explicitely grant the ability to create a
> derivative work and distribute that work. It merely talks about
> "lawfully redistributing this code".
> 
> Since it fails to specifically grant that right, we must assume that
> the default state ("All rights reserved") applies.

For the record, I agree with Don's analysis.

> 
> > > Secondly, it appears that we must include full source code if
> > > we've modified dcraw.c, but we don't do that. We distribute source
> > > alongside.
> > 
> > All that is required in this license is a link to David's home page.
> > The build process does not modify the file dcraw.c, so the footnote
> > clause is applicable to this version of dcraw that would be included
> > in debian.
> 
> dcraw.c itself isn't currently modfied, but the package does form a
> derivative work at some level. You can likely argue either way, but
> given that a need to apply a security patch to dcraw would cause us to
> run afoul of the license makes it rather problematic from where I'm
> sitting.

Again, I agree with Don.


Disclaimers: IANAL, TINLA, IANADD, TINASOTODP.



-- 
 http://frx.netsons.org/doc/nanodocs/testing_workstation_install.html
 Need to read a Debian testing installation walk-through?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to Anthony Towns <aj@azure.humbug.org.au>:
Extra info received and forwarded to list. Copy sent to Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #35 received at 431883@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: debian-legal@lists.debian.org, 431883@bugs.debian.org
Subject: Re: Bug#431883: dcraw license does not give permission to distribute modified versions or source alongside
Date: Fri, 6 Jul 2007 14:00:05 -0400
[Message part 1 (text/plain, inline)]
On Fri, Jul 06, 2007 at 03:45:29AM -0700, Don Armstrong wrote:
> On Fri, 06 Jul 2007, Steve King wrote:
> > > You'll notice that we have no permission to distribute modified
> > > versions of dcraw.c as required by the DFSG.
> > I don't agree with you here. It seems to me that we do have
> > permission to distribute modified versions, provided source is
> > included.
> The license does not explicitely grant the ability to create a
> derivative work and distribute that work. It merely talks about
> "lawfully redistributing this code".
> Since it fails to specifically grant that right, we must assume that
> the default state ("All rights reserved") applies.

That's not true. It *might* be a good idea to assume it, but given the
intention is perfectly clear, it's certainly not a requirement.

It would be better if the intention were explicitly written out (ie,
"You may distribute and modify provided you do such and such") rather
than implied ("You must do such and such if you redistribute"), of course.

Cheers,
aj

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-legal@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-legal@lists.debian.org, Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #40 received at 431883@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 431883@bugs.debian.org
Subject: Re: Bug#431883: dcraw license does not give permission to distribute modified versions or source alongside
Date: Fri, 6 Jul 2007 12:15:05 -0700
On Fri, 06 Jul 2007, Anthony Towns wrote:

> On Fri, Jul 06, 2007 at 03:45:29AM -0700, Don Armstrong wrote:
> > On Fri, 06 Jul 2007, Steve King wrote:
> > > > You'll notice that we have no permission to distribute modified
> > > > versions of dcraw.c as required by the DFSG.
> > > I don't agree with you here. It seems to me that we do have
> > > permission to distribute modified versions, provided source is
> > > included.
> > The license does not explicitely grant the ability to create a
> > derivative work and distribute that work. It merely talks about
> > "lawfully redistributing this code".
> > Since it fails to specifically grant that right, we must assume that
> > the default state ("All rights reserved") applies.
> 
> That's not true. It *might* be a good idea to assume it, but given
> the intention is perfectly clear, it's certainly not a requirement.

It's what the letter of the license says. Because of that, the
licensor could, at his or her option, choose to interpret the license
this way. Since we don't have any definitive statement from the
licensor about their intention, the conservative method is to assume
that we do not have rights that are not explicitely granted.

The reason why we should (and I believe must) take the conservative
tack is because our users expect to be able to exercise the rights
known to be granted in the DFSG upon the works we distribute in main.
Wherever possible we should assure that those rights are actually
granted by going the extra mile to clarify incomplete licensing
statements with upstream authors to maximize as much as possible the
likelyhood of our users being able to legally exercise the rights that
the DFSG attempts to preserve.

Making assumptions about the state of a work when a little bit of
extra effort in contacting upstream would likely resolve the entire
problem seems rather silly.

Steve: I've no problem in contacting Dave myself, but since you are
the maintainer, I'd prefer that you do so, since you presumably have
contacted him before. In any event, lets please get this resolved.


Don Armstrong

-- 
"...Yet terrible as UNIX addiction is, there are worse fates. If UNIX
is the heroin of operating systems, then VMS is barbiturate addiction, the
Mac is MDMA, and MS-DOS is sniffing glue. (Windows is filling your sinuses
with lucite and letting it set.) You owe the Oracle a twelve-step program."
 --The Usenet Oracle

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #45 received at 431883@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: 431883@bugs.debian.org
Subject: Re: Bug#431883: dcraw license does not give permission to distribute modified versions or source alongside
Date: Sat, 7 Jul 2007 12:30:49 +0200
[Message part 1 (text/plain, inline)]
On Jul 06, Don Armstrong <don@debian.org> wrote:

> It's what the letter of the license says. Because of that, the
> licensor could, at his or her option, choose to interpret the license
> this way.
Licensors can do this anyway even for licenses which we consider well
understood and with no ambiguities left for individual interpretation,
as Jörg Schilling demonstrated.
The correct criteria is "would our interpretation stand up in court?".

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #50 received at 431883@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: 431883@bugs.debian.org
Subject: Re: Bug#431883: dcraw license does not give permission to distribute modified versions or source alongside
Date: Sat, 7 Jul 2007 12:25:30 +0200
[Message part 1 (text/plain, inline)]
On Jul 05, Don Armstrong <don@debian.org> wrote:

>    *If you have not modified dcraw.c in any way, a link to my
>    homepage qualifies as "full source code".
> 
>    $Revision: 1.387 $
>    $Date: 2007/06/24 00:18:52 $
>  */
> 
> 
> You'll notice that we have no permission to distribute modified
> versions of dcraw.c as required by the DFSG. Secondly, it appears that
> we must include full source code if we've modified dcraw.c, but we
> don't do that. We distribute source alongside.
I disagree. The quoted sentence makes clear that distributing modified
source code is an option.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to Patrice Vetsel <ubuntu@kagou.fr>:
Extra info received and forwarded to list. Copy sent to Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #55 received at 431883@bugs.debian.org (full text, mbox):

From: Patrice Vetsel <ubuntu@kagou.fr>
To: 431883@bugs.debian.org
Subject: dcraw license does not give permission to distribute modified versions or source alongside
Date: Mon, 03 Sep 2007 07:57:45 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Extract for my searches on problem with package including dcraw.

Silently others programs have by-passed this problem as digikam /
ufraw / rawstudio.
Can authors/maintainers tell us which version of dcraw is oncluded ?
Or confirm that :

ufraw 0.11 use 8.62
rawstudio 0.5.1+20070601 use 8.46
digikam 0.9.2 use libkdcraw1 0.1.1 use 8.60


https://bugs.launchpad.net/ubuntu/+source/dcraw/+bug/86480
- --
Patrice Vetsel <ubuntu@kagou.fr>
Aka/Alias Kagou
https://launchpad.net/people/vetsel-patrice
gpg key: 0x15c094db
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFG26JZAGLykBXAlNsRAsPwAKCCJBcRUUSL/5c0a5+Xkb3ku0T3dwCePKZc
kLklmbbuaTLVhgdDbmnn3ME=
=FO2D
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to Steve King <debian@invux.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #60 received at 431883@bugs.debian.org (full text, mbox):

From: Steve King <debian@invux.com>
To: 431883@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: Re: Bug#431883: dcraw license does not give permission to distribute modified versions or source alongside
Date: Fri, 14 Sep 2007 17:38:40 +0100
This is David Coffin's proposed license text for the next version of dcraw:
   No license is required to download and use dcraw.c.  However,
   to lawfully redistribute dcraw, you must either (a) offer, at
   no extra charge, full source code* for all executable files
   containing RESTRICTED functions, (b) distribute this code under
   the GPL Version 2 or later, (c) remove all RESTRICTED functions,
   re-implement them, or copy them from an earlier, unrestricted
   Revision of dcraw.c, or (d) purchase a license from the author.

   The functions that process Foveon images have been RESTRICTED
   since Revision 1.237.  All other code remains free for all uses.

   *If you have not modified dcraw.c in any way, a link to my
   homepage qualifies as "full source code".

To my eyes this seems to tick the DFSG boxes, but I would appreciate any 
 opinions on this matter.

Thanks

--
Steve

Steve King wrote:
>> Package: dcraw
>> Version: 7.02-1
>> Severity: serious
>>
>> On Thu, 05 Jul 2007, Steve King wrote:
>>> However I would appreciate it if the assembled masses of legal
>>> experts could confirm that they agree that this is the case.
>> There's actually an even more fundamental problem with dcraw.c:
>>
>> /*
>>    dcraw.c -- Dave Coffin's raw photo decoder
>>    Copyright 1997-2007 by Dave Coffin, dcoffin a cybercom o net
>>
>>    This is a command-line ANSI C program to convert raw photos from
>>    any digital camera on any computer running any operating system.
>>
>>    No license is required to download and use dcraw.c.  However,
>>    to lawfully redistribute this code, you must either (a) include
>>    full source code* for all executable files containing RESTRICTED
>>    functions, (b) remove all RESTRICTED functions, re-implement them,
>>    or copy them from an earlier, unrestricted Revision of dcraw.c,
>>    or (c) purchase a license from the author.
>>
>>    The functions that process Foveon images have been RESTRICTED
>>    since Revision 1.237.  All other code remains free for all uses.
>>
>>    *If you have not modified dcraw.c in any way, a link to my
>>    homepage qualifies as "full source code".
>>
>>    $Revision: 1.387 $
>>    $Date: 2007/06/24 00:18:52 $
>>  */
>>
>>
>> You'll notice that we have no permission to distribute modified
>> versions of dcraw.c as required by the DFSG.
> 
> I don't agree with you here. It seems to me that we do have permission to
> distribute modified versions, provided source is included.
> 
> 
>>                                              Secondly, it appears that
>> we must include full source code if we've modified dcraw.c, but we
>> don't do that. We distribute source alongside.
>>
> 
> All that is required in this license is a link to David's home page.
> The build process does not modify the file dcraw.c, so the footnote clause
> is applicable to this version of dcraw that would be included in debian.
> 
> --
> Steve King
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to "Wesley J. Landaker" <wjl@icecavern.net>:
Extra info received and forwarded to list. Copy sent to Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #65 received at 431883@bugs.debian.org (full text, mbox):

From: "Wesley J. Landaker" <wjl@icecavern.net>
To: debian-legal@lists.debian.org
Cc: 431883@bugs.debian.org
Subject: Re: Bug#431883: dcraw license does not give permission to distribute modified versions or source alongside
Date: Fri, 14 Sep 2007 11:22:41 -0600
[Message part 1 (text/plain, inline)]
On Friday 14 September 2007 10:38:40 Steve King wrote:
> This is David Coffin's proposed license text for the next version of
> dcraw: No license is required to download and use dcraw.c.  However, to
> lawfully redistribute dcraw, you must either (a) offer, at no extra
> charge, full source code* for all executable files
>     containing RESTRICTED functions, (b) distribute this code under
>     the GPL Version 2 or later, (c) remove all RESTRICTED functions,
>     re-implement them, or copy them from an earlier, unrestricted
>     Revision of dcraw.c, or (d) purchase a license from the author.
>
>     The functions that process Foveon images have been RESTRICTED
>     since Revision 1.237.  All other code remains free for all uses.
>
>     *If you have not modified dcraw.c in any way, a link to my
>     homepage qualifies as "full source code".
>
> To my eyes this seems to tick the DFSG boxes, but I would appreciate any
>   opinions on this matter.

Regardless of the other options, since (b) says you can distribute under 
GPLv2, I don't see a problem.

-- 
Wesley J. Landaker <wjl@icecavern.net> <xmpp:wjl@icecavern.net>
OpenPGP FP: 4135 2A3B 4726 ACC5 9094  0097 F0A9 8A4C 4CD6 E3D2
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to Patrice Vetsel <kagou@kagou.org>:
Extra info received and forwarded to list. Copy sent to Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #70 received at 431883@bugs.debian.org (full text, mbox):

From: Patrice Vetsel <kagou@kagou.org>
To: 431883@bugs.debian.org
Subject: dcraw license changed
Date: Thu, 22 Nov 2007 10:56:00 +0100
The text licence changed, can we close this bug ?




Information forwarded to debian-bugs-dist@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to ubuntu@kagou.fr:
Extra info received and forwarded to list. Copy sent to Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #75 received at 431883@bugs.debian.org (full text, mbox):

From: ubuntu@kagou.fr
To: <431883@bugs.debian.org>
Subject: Can we close this bug now ?
Date: Mon, 10 Dec 2007 08:33:01 +0100
Can we close this bug now, and update dcraw/gimp-dcraw/ufraw/digikam/rawstudio etc. ?!




Information forwarded to debian-bugs-dist@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to "Steve King" <debian@invux.com>:
Extra info received and forwarded to list. Copy sent to Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #80 received at 431883@bugs.debian.org (full text, mbox):

From: "Steve King" <debian@invux.com>
To: ubuntu@kagou.fr, 431883@bugs.debian.org
Subject: Re: Bug#431883: Can we close this bug now ?
Date: Mon, 10 Dec 2007 08:29:52 -0000 (GMT)
> Can we close this bug now, and update
> dcraw/gimp-dcraw/ufraw/digikam/rawstudio etc. ?!
>
>

I'm currently waiting for a response from my sponsor,
The package is allegedly all ready to go, but I cannot upload it myself.

I will chase...

--
Steve King





Reply sent to Steve King <debian@invux.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Don Armstrong <don@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #85 received at 431883-close@bugs.debian.org (full text, mbox):

From: Steve King <debian@invux.com>
To: 431883-close@bugs.debian.org
Subject: Bug#431883: fixed in dcraw 8.80-1
Date: Sun, 23 Dec 2007 08:47:04 +0000
Source: dcraw
Source-Version: 8.80-1

We believe that the bug you reported is fixed in the latest version of
dcraw, which is due to be installed in the Debian FTP archive:

dcraw_8.80-1.diff.gz
  to pool/main/d/dcraw/dcraw_8.80-1.diff.gz
dcraw_8.80-1.dsc
  to pool/main/d/dcraw/dcraw_8.80-1.dsc
dcraw_8.80-1_amd64.deb
  to pool/main/d/dcraw/dcraw_8.80-1_amd64.deb
dcraw_8.80.orig.tar.gz
  to pool/main/d/dcraw/dcraw_8.80.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 431883@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve King <debian@invux.com> (supplier of updated dcraw package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 14 Nov 2007 10:01:57 +0000
Source: dcraw
Binary: dcraw
Architecture: source amd64
Version: 8.80-1
Distribution: unstable
Urgency: low
Maintainer: Steve King <debian@invux.com>
Changed-By: Steve King <debian@invux.com>
Description: 
 dcraw      - decode raw digital camera images
Closes: 411920 424663 431883 436707
Changes: 
 dcraw (8.80-1) unstable; urgency=low
 .
   * Modified Makefile: -O4 instead of -03
   * Modified Makefile: removed "-s" flag from $(CC) lines
   * Closes: #411920
   * Closes: #436707
   * Now distributed under a different license
   * Closes: #431883
   * Closes: #424663
   * New upstream version
Files: 
 5556c329318196c6ee1fb7d2e35b5342 574 graphics extra dcraw_8.80-1.dsc
 5edf6fc855a0de151dc88e4b0605050e 90222 graphics extra dcraw_8.80.orig.tar.gz
 1acec4f83214b7a9e3251aface999efd 5765 graphics extra dcraw_8.80-1.diff.gz
 c35477a5beb5c48c2d34a64d7d0d6035 175878 graphics extra dcraw_8.80-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHbhTygY5NIXPNpFURAgCWAKCkxoskNQ5YOdIswFog+Vt+EO4NYACfbdea
va9GyxCaONtRkP4RTkxWdBE=
=CdcO
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Message #88 received at 431883@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Steve King <debian@invux.com>
Cc: anibal@debian.org, 411920@bugs.debian.org, 436707@bugs.debian.org, 431883@bugs.debian.org, 424663@bugs.debian.org
Subject: Re: Bug#431883 closed by Steve King <debian@invux.com> (Bug#431883: fixed in dcraw 8.80-1)
Date: Sun, 23 Dec 2007 17:04:50 -0800
On Sun, 23 Dec 2007, Debian Bug Tracking System wrote:
> Closes: 411920 424663 431883 436707
> Changes: 
>  dcraw (8.80-1) unstable; urgency=low
>  .
>    * Modified Makefile: -O4 instead of -03
>    * Modified Makefile: removed "-s" flag from $(CC) lines
>    * Closes: #411920
>    * Closes: #436707
>    * Now distributed under a different license
>    * Closes: #431883
>    * Closes: #424663
>    * New upstream version

This changelog isn't particularly useful, as it doesn't indicate
clearly to anyone why 411920, 436707, 431883 or 424663 were closed.

This should have (presumbaly) been written as

 * Modififed Makefile: no longer strip binaries by removing -s flag
   (closes: #411920)
 * dcraw.c is now under a DFSG compatible license (closes: #431883)
 * New upstream version (closes: #424663)

or similar.


Don Armstrong

-- 
He no longer wished to be dead. At the same time, it cannot be said
that he was glad to be alive. But at least he did not resent it. He
was alive, and the stubbornness of this fact had little by little
begun to fascinate him -- as if he had managed to outlive himself, as
if he were somehow living a posthumous life.
 -- Paul Auster _City of Glass_

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Steve King <debian@invux.com>:
Bug#431883; Package dcraw. Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Steve King <debian@invux.com>. Full text and rfc822 format available.

Message #93 received at 431883@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Steve King <debian@invux.com>, 411920@bugs.debian.org, 436707@bugs.debian.org, 431883@bugs.debian.org, 424663@bugs.debian.org
Subject: Re: Bug#431883 closed by Steve King <debian@invux.com> (Bug#431883: fixed in dcraw 8.80-1)
Date: Mon, 24 Dec 2007 17:30:09 +1100
[Message part 1 (text/plain, inline)]
On Sun, Dec 23, 2007 at 05:04:50PM -0800, Don Armstrong wrote:
>This changelog isn't particularly useful, as it doesn't indicate
>clearly to anyone why 411920, 436707, 431883 or 424663 were closed.

I've already asked Steve to fix that problem in the next upload.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 10:15:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:51:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.